GNU bug report logs - #32210
Support medium weighted fonts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Carlos Pita <carlosjosepita@HIDDEN>; merged with #28351, #51155; dated Thu, 19 Jul 2018 14:07:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 28351 32210 51155. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 19 Nov 2019 08:23:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 19 03:23:49 2019
Received: from localhost ([127.0.0.1]:46550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWynY-0003V8-Pi
	for submit <at> debbugs.gnu.org; Tue, 19 Nov 2019 03:23:48 -0500
Received: from quimby.gnus.org ([95.216.78.240]:49184)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWynT-0003Ur-FD
 for 32210 <at> debbugs.gnu.org; Tue, 19 Nov 2019 03:23:43 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWynH-0002mG-OP; Tue, 19 Nov 2019 09:23:30 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN> <87eey5qxeh.fsf@HIDDEN>
 <835zjh4243.fsf@HIDDEN> <871ru5qf2w.fsf@HIDDEN>
 <83muct2izq.fsf@HIDDEN>
Date: Tue, 19 Nov 2019 09:23:26 +0100
In-Reply-To: <83muct2izq.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 18 Nov
 2019 19:26:49 +0200")
Message-ID: <87r224nukh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I'm not surprised.
 Just look at the different conversions of weight > symbols into numbers, and
 you will see the mess. For example, > font_parse_fcname obviously supports
 only a subset of weight val [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I'm not surprised.  Just look at the different conversions of weight
> symbols into numbers, and you will see the mess.  For example,
> font_parse_fcname obviously supports only a subset of weight values,
> so it's enough to convert a value back and forth to get a mismatch, at
> least in principle.

Yup.

I think somebody (ahem) will have to carve out some serious time and go
through all the back-and-forth font parsing functions and ensure that
they all agree with each other to avoid these mismatches.

I don't have the stamina to do that right now, so if somebody else wants
to look into it, it's fine by me.  :-)  But if not, I'll try to have a
whack at it sometime later.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 17:32:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 12:32:22 2019
Received: from localhost ([127.0.0.1]:46187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWksw-0006LL-3W
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:32:22 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWkss-0006Kf-GR
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:32:19 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWksh-00041R-Gh; Mon, 18 Nov 2019 18:32:09 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN> <m2v9rhpi7m.fsf@HIDDEN>
Date: Mon, 18 Nov 2019 18:32:06 +0100
In-Reply-To: <m2v9rhpi7m.fsf@HIDDEN> (Robert Pluim's message of "Mon, 18
 Nov 2019 11:55:09 +0100")
Message-ID: <87wobxozu1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Robert Pluim <rpluim@HIDDEN> writes: > I tried here with
    'Noto Sans CJK HK', which seems to have every > variant under the sun, and
    got: > > Weight: 400, symbol normal > Weight: 500, symbol semi-bold > > I
    donʼt know if Debian Stable ha [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: Eli Zaretskii <eliz@HIDDEN>, carlosjosepita@HIDDEN,
 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Robert Pluim <rpluim@HIDDEN> writes:

> I tried here with 'Noto Sans CJK HK', which seems to have every
> variant under the sun, and got:
>
> Weight: 400, symbol normal
> Weight: 500, symbol semi-bold
>
> I don=CA=BCt know if Debian Stable has that font.

I didn't have the HK variant, but I used CJP JP, and got the same as
you.

However, I don't see any difference between those two in Emacs.

Regular:


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=screenC5TGnt.jpg
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


Medium:


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=screenGfX4MP.jpg
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


But the frame did shrink when I chose Medium...  and doesn't unshrink if
I choose Regular again.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 17:26:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 12:26:53 2019
Received: from localhost ([127.0.0.1]:46177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWknd-00069e-7O
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:26:53 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48060)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWknc-00069R-58
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:26:52 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58240)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWknW-0005sL-Vh; Mon, 18 Nov 2019 12:26:47 -0500
Received: from [176.228.60.248] (port=1651 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWknV-0008Eg-Mz; Mon, 18 Nov 2019 12:26:46 -0500
Date: Mon, 18 Nov 2019 19:26:49 +0200
Message-Id: <83muct2izq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <871ru5qf2w.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 18 Nov 2019 18:17:27 +0100)
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN> <87eey5qxeh.fsf@HIDDEN>
 <835zjh4243.fsf@HIDDEN> <871ru5qf2w.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: carlosjosepita@HIDDEN,  32210 <at> debbugs.gnu.org
> Date: Mon, 18 Nov 2019 18:17:27 +0100
> 
> So we have a whole a whole bunch of bugs here, apparently.

I'm not surprised.  Just look at the different conversions of weight
symbols into numbers, and you will see the mess.  For example,
font_parse_fcname obviously supports only a subset of weight values,
so it's enough to convert a value back and forth to get a mismatch, at
least in principle.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 17:17:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 12:17:39 2019
Received: from localhost ([127.0.0.1]:46163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWkeh-0005ua-Ff
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:17:39 -0500
Received: from quimby.gnus.org ([95.216.78.240]:38934)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWkef-0005uN-Ud
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 12:17:38 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWkeV-0003UE-Vj; Mon, 18 Nov 2019 18:17:30 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN> <87eey5qxeh.fsf@HIDDEN>
 <835zjh4243.fsf@HIDDEN>
Date: Mon, 18 Nov 2019 18:17:27 +0100
In-Reply-To: <835zjh4243.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 18 Nov
 2019 17:48:28 +0200")
Message-ID: <871ru5qf2w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> I chose "Ubuntu
 Regular"
 and "Ubuntu Medium": >> >> Weight: 400, symbol normal >> Weight: 500, symbol
 semi-bold >> >> And: Added wrinkle: In Emacs, the "Regular" font is heavier
 than the >> "Medium [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

>> I chose "Ubuntu Regular" and "Ubuntu Medium":
>> 
>> Weight: 400, symbol normal
>> Weight: 500, symbol semi-bold
>> 
>> And: Added wrinkle: In Emacs, the "Regular" font is heavier than the
>> "Medium" font (but they're not in the Gtk selector).
>
> Sorry, I don't understand: is this "wrinkle" due to the font, or is
> this something Emacs does?  If the latter, can you point out where we
> treat "regular" heavier than "medium"?

When choosing the font via the Gtk selector, the font named "Ubuntu
Regular" in the selector is less heavy than the font named "Ubuntu
Medium" in the selector, but in Emacs it's the other way around.

Here's after selecting "Ubuntu Regular":


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=screenNv8rm6.jpg
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


And here's after selecting "Ubuntu Medium":


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=screenEOYozM.jpg
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


(The texts are from the debugging patch.)

So we have a whole a whole bunch of bugs here, apparently.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 15:48:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 10:48:32 2019
Received: from localhost ([127.0.0.1]:46095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWjGR-0001jU-V0
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 10:48:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:60083)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWjGQ-0001jH-6q
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 10:48:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56294)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWjGK-0007PC-MD; Mon, 18 Nov 2019 10:48:24 -0500
Received: from [176.228.60.248] (port=2777 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWjGK-0004PG-3E; Mon, 18 Nov 2019 10:48:24 -0500
Date: Mon, 18 Nov 2019 17:48:28 +0200
Message-Id: <835zjh4243.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87eey5qxeh.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 18 Nov 2019 11:41:42 +0100)
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN> <87eey5qxeh.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: carlosjosepita@HIDDEN,  32210 <at> debbugs.gnu.org
> Date: Mon, 18 Nov 2019 11:41:42 +0100
> 
> I chose "Ubuntu Regular" and "Ubuntu Medium":
> 
> Weight: 400, symbol normal
> Weight: 500, symbol semi-bold
> 
> And: Added wrinkle: In Emacs, the "Regular" font is heavier than the
> "Medium" font (but they're not in the Gtk selector).

Sorry, I don't understand: is this "wrinkle" due to the font, or is
this something Emacs does?  If the latter, can you point out where we
treat "regular" heavier than "medium"?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 10:55:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 05:55:18 2019
Received: from localhost ([127.0.0.1]:43240 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWegg-000264-M6
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 05:55:18 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:50583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1iWegf-00025n-0Q
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 05:55:18 -0500
Received: by mail-wm1-f42.google.com with SMTP id l17so16819908wmh.0
 for <32210 <at> debbugs.gnu.org>; Mon, 18 Nov 2019 02:55:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:gmane-reply-to-list:date:in-reply-to
 :message-id:mime-version:content-transfer-encoding;
 bh=lg4/WiaiBFVFF6CTZIN+hAusy7YC0zWvSPgF4H1O5LY=;
 b=X3L825Z4yD+Ues5AEAlCspNIFMuo+GpSKFBlPxgyOJxX/bLxxJupIthxtDk9D0veJk
 q0vEPKr69yoQ3CxCNnlrFReTrI0yBXMGGCCVSduK11qoRrWL0GYY3I2TEvYvlcwNxexr
 lQvkV7M/O2BR6RDlqMBrUjmDGqhyh+YNVXlA7/MeNbUwdH6lBsymQGENtg+2JRqfgUYB
 v2iQWR5eHDkr2Jc0spKLb49lNbiWgElyHKRaI740s6g2vkut41CMb+ObL0yL144vbTuR
 ibsSv7giYV+1EchONa54ix8VkeHJEnj7n9EwVnSADMYz4FXPSF9vfaW/nVAT6jWbXtCB
 ZRBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references
 :gmane-reply-to-list:date:in-reply-to:message-id:mime-version
 :content-transfer-encoding;
 bh=lg4/WiaiBFVFF6CTZIN+hAusy7YC0zWvSPgF4H1O5LY=;
 b=KTWyrv1H49mZ/7fMD2goIZQ6yu49mXiYdOpq8r9Z+OVg4un01aox3Za0PXF7ND6P4o
 0Nr674R6yvpCUU2enyoHgE+zOdF4ZV+spZuqENNsn/UkqgLsBmwUZ1OhkmkWu7BBPyVR
 oKWpicrY42NwH3wqUXsvEmK8Uxv7GCMlsedEJZ/PwWZbomrvCbG+AKB41bMxewaZXoGL
 BFGbb4+GWXp44YMQVpyFIxXbb10adL94Z6i9K0kAjRx7Omxm/NKvfDXetqaGD6F6T6ep
 VCR57zfUSOgA6WXX+G7Us9GDQpBVHqYgKZXRsE7bUBWxwvh+T60SoYBZngAdd6VAnJ/2
 DR/w==
X-Gm-Message-State: APjAAAVE8wvtpYcN/X052a3uCEXZHyth91zUBFrXeKugkQNQY+1Ws74F
 QPdc/KXKoQPklKu6IwNCU6I352EL2Bs=
X-Google-Smtp-Source: APXvYqw2WrJEi5cEdxgdQegIOXl873sEo/QwjxnBRgWqQh2SxUMdCCnh36F3XhMHdwgdwFlOZj5meQ==
X-Received: by 2002:a1c:23c1:: with SMTP id j184mr27652857wmj.83.1574074510601; 
 Mon, 18 Nov 2019 02:55:10 -0800 (PST)
Received: from rpluim-mac ([149.5.228.1])
 by smtp.gmail.com with ESMTPSA id f67sm19857752wme.16.2019.11.18.02.55.09
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 18 Nov 2019 02:55:10 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN>
X-Debbugs-No-Ack: yes
Gmane-Reply-To-List: yes
Date: Mon, 18 Nov 2019 11:55:09 +0100
In-Reply-To: <87k17xqxzy.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 18 Nov 2019 11:28:49 +0100")
Message-ID: <m2v9rhpi7m.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: Eli Zaretskii <eliz@HIDDEN>, carlosjosepita@HIDDEN,
 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 18 Nov 2019 11:28:49 +0100, Lars Ingebrigtsen <larsi@HIDDEN=
> said:
    Lars> and tried using the gtk selector (via M-x menu-set-font).  I only=
 have
    Lars> one font installed that has both normal and medium variations "Ni=
mbus
    Lars> no9", so I tried that.  And I got:

    Lars> Weight: 400, symbol normal
    Lars> Weight: 700, symbol bold

    Lars> And, yes, the thing that's called Nimbus No9 Medium does look lik=
e a
    Lars> bold in both the gtk selector and in Emacs.  So I don't think I h=
ave a
    Lars> proper font to experiment with...  does anybody know of a font in=
 Debian
    Lars> Stable that has both varieties?  SauceCodePro was the example in =
the
    Lars> bug report, but that does not seem to be available here.

I tried here with 'Noto Sans CJK HK', which seems to have every
variant under the sun, and got:

Weight: 400, symbol normal
Weight: 500, symbol semi-bold

I don=CA=BCt know if Debian Stable has that font.

Robert




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 10:41:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 05:41:57 2019
Received: from localhost ([127.0.0.1]:43231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWeTl-0001lN-5D
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 05:41:57 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34306)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWeTi-0001lA-Jr
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 05:41:55 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWeTX-0008Gg-Ly; Mon, 18 Nov 2019 11:41:46 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
 <87k17xqxzy.fsf@HIDDEN>
Date: Mon, 18 Nov 2019 11:41:42 +0100
In-Reply-To: <87k17xqxzy.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 18 Nov 2019 11:28:49 +0100")
Message-ID: <87eey5qxeh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > So I don't think
 I have a proper font to experiment with... does > anybody know of a font
 in Debian Stable that has both varieties? > SauceCodePro was the example in
 the bug report, but that does no [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnus.org]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So I don't think I have a proper font to experiment with...  does
> anybody know of a font in Debian Stable that has both varieties?
> SauceCodePro was the example in the bug report, but that does not seem
> to be available here.

Found one -- "apt install ubuntu-font".

I chose "Ubuntu Regular" and "Ubuntu Medium":

Weight: 400, symbol normal
Weight: 500, symbol semi-bold

And: Added wrinkle: In Emacs, the "Regular" font is heavier than the
"Medium" font (but they're not in the Gtk selector).

This is all very confusing.

If I say

emacs -Q -fn "Ubuntu:weight=regular" 
emacs -Q -fn "Ubuntu:weight=medium" 

I get the more expected result (i.e., identical display in Emacs since
we map both of these to the same thing in other parts of Emacs).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 18 Nov 2019 10:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 18 05:29:06 2019
Received: from localhost ([127.0.0.1]:43220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWeHK-0001Qt-D7
	for submit <at> debbugs.gnu.org; Mon, 18 Nov 2019 05:29:06 -0500
Received: from quimby.gnus.org ([95.216.78.240]:33894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWeHG-0001QL-QU
 for 32210 <at> debbugs.gnu.org; Mon, 18 Nov 2019 05:29:04 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWeH4-00088F-4r; Mon, 18 Nov 2019 11:28:53 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
 <87lfse5t5g.fsf@HIDDEN> <835zji5qyn.fsf@HIDDEN>
Date: Mon, 18 Nov 2019 11:28:49 +0100
In-Reply-To: <835zji5qyn.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 19:54:08 +0200")
Message-ID: <87k17xqxzy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> so Pando has also
 grown a MEDIUM in addition to NORMAL... and we don't >> have
 PANGO_WEIGHT_NORMAL.
 > > A related question is: can the GTK font selection dialog return >
 PANGO_WEIGHT_MEDIUM (when y [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> so Pando has also grown a MEDIUM in addition to NORMAL...  and we don't
>> have PANGO_WEIGHT_NORMAL.
>
> A related question is: can the GTK font selection dialog return
> PANGO_WEIGHT_MEDIUM (when you choose a font with that weight)?

I installed the following debugging

diff --git a/src/gtkutil.c b/src/gtkutil.c
index c4d2ef9d80..b1b3e4c397 100644
--- a/src/gtkutil.c
+++ b/src/gtkutil.c
@@ -2300,6 +2300,10 @@ xg_get_font (struct frame *f, const char *default_name)
 	  PangoWeight weight = pango_font_description_get_weight (desc);
 	  PangoStyle  style  = pango_font_description_get_style (desc);
 
+	  CALLN (Fmessage, build_string ("Weight: %s, symbol %s"),
+		 make_int (weight),
+		 XG_WEIGHT_TO_SYMBOL (weight));
+ 
 	  font = CALLN (Ffont_spec,
 			QCfamily, build_string (family),
 			QCsize, make_float (pango_units_to_double (size)),

and tried using the gtk selector (via M-x menu-set-font).  I only have
one font installed that has both normal and medium variations "Nimbus
no9", so I tried that.  And I got:

Weight: 400, symbol normal
Weight: 700, symbol bold

And, yes, the thing that's called Nimbus No9 Medium does look like a
bold in both the gtk selector and in Emacs.  So I don't think I have a
proper font to experiment with...  does anybody know of a font in Debian
Stable that has both varieties?  SauceCodePro was the example in the
bug report, but that does not seem to be available here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 17 Nov 2019 17:54:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 12:54:21 2019
Received: from localhost ([127.0.0.1]:42531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWOkc-0003aP-6f
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:54:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWOkZ-0003aA-Ip
 for 32210 <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:54:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37264)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWOkU-00070Q-4C; Sun, 17 Nov 2019 12:54:10 -0500
Received: from [176.228.60.248] (port=2526 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWOkS-0007Y6-Lr; Sun, 17 Nov 2019 12:54:09 -0500
Date: Sun, 17 Nov 2019 19:54:08 +0200
Message-Id: <835zji5qyn.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87lfse5t5g.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Nov 2019 18:06:51 +0100)
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN> <87lfse5t5g.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: carlosjosepita@HIDDEN,  32210 <at> debbugs.gnu.org
> Date: Sun, 17 Nov 2019 18:06:51 +0100
> 
> #define XG_WEIGHT_TO_SYMBOL(w)			\
>   (w <= PANGO_WEIGHT_THIN ? Qextra_light	\
>    : w <= PANGO_WEIGHT_ULTRALIGHT ? Qlight	\
>    : w <= PANGO_WEIGHT_LIGHT ? Qsemi_light	\
>    : w < PANGO_WEIGHT_MEDIUM ? Qnormal		\
>    : w <= PANGO_WEIGHT_SEMIBOLD ? Qsemi_bold	\
>    : w <= PANGO_WEIGHT_BOLD ? Qbold		\
>    : w <= PANGO_WEIGHT_HEAVY ? Qextra_bold	\
>    : Qultra_bold)
> 
> If we look at
> 
> https://abi-laboratory.pro/?view=headers_diff&l=pango&v1=1.36.5&v2=1.36.6
> 
> we find
> 
> * @PANGO_WEIGHT_NORMAL: the default weight (= 400)
> * @PANGO_WEIGHT_MEDIUM: the normal weight (= 500; Since: 1.24)

For more amusement, see

  https://docs.microsoft.com/en-us/windows/win32/api/wingdi/nf-wingdi-createfonta

Who copycats whom?

> so Pando has also grown a MEDIUM in addition to NORMAL...  and we don't
> have PANGO_WEIGHT_NORMAL.

A related question is: can the GTK font selection dialog return
PANGO_WEIGHT_MEDIUM (when you choose a font with that weight)?

> > And there are other places in the sources that only support subsets of
> > all the weights.  If we want to make them more fine-grained, we should
> > make them all consistent, as much as possible, modulo the limitations
> > of the toolkit.
> 
> Yup.  
> 
> > For example, Someone™ should verify that the problem described above
> > is not some inherent GTK limitation.
> 
> If we look at
> 
> https://emacs.stackexchange.com/questions/32377/selecting-correct-font-weight-variant-linux
> 
> people seem to be instructing Emacs to use the sizes adjacent to Emacs
> normal/medium to actually get the weights they want, and then it works.
> Also see bug#28351 (which I've merged with this one).

I think there's still more to this.  From reading various parts of
font.c I get the impression that Fontconfig supports only a subset of
the above values.  Or maybe it did in the past, when font.c was coded,
and nowadays supports more?

Also see the node "Fonts" n the user manual, where it describes no
less than 4 different methods of specifying a font, each one with a
different repertoire of "weight" values.  

So not only the toolkit matters here, but also the font configuration
back-end (Fontconfig and FreeType on Posix platforms) etc., and we use
different font specifications in different commands, which sometimes
exposes the differences.  We need to bring them all to the common
denominator, and it has to be not the lowest one.

> But is this something we want to tweak before Emacs 27, or should it
> wait for Emacs 28?  

It depends what kind of tweaking will be needed.  If we just need to
change a bunch of constants and augment several switch statements that
convert between representations, it might be safe enough for Emacs 27.
E.g., see the change I just installed in w32font.c for bug#24226.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 17 Nov 2019 17:07:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 12:07:06 2019
Received: from localhost ([127.0.0.1]:42492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWO0v-0000VL-MI
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:07:06 -0500
Received: from quimby.gnus.org ([95.216.78.240]:51120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWO0t-0000Uq-Ep
 for 32210 <at> debbugs.gnu.org; Sun, 17 Nov 2019 12:07:04 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWO0h-00009U-Un; Sun, 17 Nov 2019 18:06:54 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN> <83pnhq5w92.fsf@HIDDEN>
Date: Sun, 17 Nov 2019 18:06:51 +0100
In-Reply-To: <83pnhq5w92.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 17 Nov
 2019 17:59:53 +0200")
Message-ID: <87lfse5t5g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > I don't think this
 is the only place. For example, > XG_WEIGHT_TO_SYMBOL looks also relevant.
 Interesting... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> I don't think this is the only place.  For example,
> XG_WEIGHT_TO_SYMBOL looks also relevant.

Interesting...

#define XG_WEIGHT_TO_SYMBOL(w)			\
  (w <=3D PANGO_WEIGHT_THIN ? Qextra_light	\
   : w <=3D PANGO_WEIGHT_ULTRALIGHT ? Qlight	\
   : w <=3D PANGO_WEIGHT_LIGHT ? Qsemi_light	\
   : w < PANGO_WEIGHT_MEDIUM ? Qnormal		\
   : w <=3D PANGO_WEIGHT_SEMIBOLD ? Qsemi_bold	\
   : w <=3D PANGO_WEIGHT_BOLD ? Qbold		\
   : w <=3D PANGO_WEIGHT_HEAVY ? Qextra_bold	\
   : Qultra_bold)

If we look at

https://abi-laboratory.pro/?view=3Dheaders_diff&l=3Dpango&v1=3D1.36.5&v2=3D=
1.36.6

we find

* @PANGO_WEIGHT_NORMAL: the default weight (=3D 400)
* @PANGO_WEIGHT_MEDIUM: the normal weight (=3D 500; Since: 1.24)

so Pando has also grown a MEDIUM in addition to NORMAL...  and we don't
have PANGO_WEIGHT_NORMAL.

> And there are other places in the sources that only support subsets of
> all the weights.  If we want to make them more fine-grained, we should
> make them all consistent, as much as possible, modulo the limitations
> of the toolkit.

Yup.=20=20

> For example, Someone=E2=84=A2 should verify that the problem described ab=
ove
> is not some inherent GTK limitation.

If we look at

https://emacs.stackexchange.com/questions/32377/selecting-correct-font-weig=
ht-variant-linux

people seem to be instructing Emacs to use the sizes adjacent to Emacs
normal/medium to actually get the weights they want, and then it works.
Also see bug#28351 (which I've merged with this one).

But is this something we want to tweak before Emacs 27, or should it
wait for Emacs 28?=20=20

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 17 Nov 2019 16:00:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 11:00:00 2019
Received: from localhost ([127.0.0.1]:42400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWMxz-0003Ke-JP
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 10:59:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iWMxx-0003KQ-J0
 for 32210 <at> debbugs.gnu.org; Sun, 17 Nov 2019 10:59:57 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35367)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iWMxs-0006xv-CG; Sun, 17 Nov 2019 10:59:52 -0500
Received: from [176.228.60.248] (port=3449 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iWMxr-0003CB-Jf; Sun, 17 Nov 2019 10:59:52 -0500
Date: Sun, 17 Nov 2019 17:59:53 +0200
Message-Id: <83pnhq5w92.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87v9riaofa.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 17 Nov 2019 09:37:45 +0100)
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 <87v9riaofa.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 32210
Cc: carlosjosepita@HIDDEN, 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 17 Nov 2019 09:37:45 +0100
> Cc: 32210 <at> debbugs.gnu.org
> 
> > Now, the problem is that, no matter how emacs font is configured
> > (xresources with xft or gtk descriptor, customize-face, the standard
> > gtk dialog launched from the menu) medium is taken as an alias for
> > normal/regular and you have to jump from regular to demibold.
> 
> I think this is the culprit:
> 
> static const struct table_entry weight_table[] =
> {
>   { 0, { "thin" }},
>   { 20, { "ultra-light", "ultralight" }},
>   { 40, { "extra-light", "extralight" }},
>   { 50, { "light" }},
>   { 75, { "semi-light", "semilight", "demilight", "book" }},
>   { 100, { "normal", "medium", "regular", "unspecified" }},
>   { 180, { "semi-bold", "semibold", "demibold", "demi" }},
>   { 200, { "bold" }},
>   { 205, { "extra-bold", "extrabold" }},
>   { 210, { "ultra-bold", "ultrabold", "black" }}
> };

I don't think this is the only place.  For example,
XG_WEIGHT_TO_SYMBOL looks also relevant.  And there are other places
in the sources that only support subsets of all the weights.  If we
want to make them more fine-grained, we should make them all
consistent, as much as possible, modulo the limitations of the
toolkit.  For example, Someone™ should verify that the problem
described above is not some inherent GTK limitation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.

Message received at 32210 <at> debbugs.gnu.org:


Received: (at 32210) by debbugs.gnu.org; 17 Nov 2019 08:37:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 17 03:37:58 2019
Received: from localhost ([127.0.0.1]:40234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iWG4D-00089r-VI
	for submit <at> debbugs.gnu.org; Sun, 17 Nov 2019 03:37:58 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44710)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iWG4B-00089f-Pm
 for 32210 <at> debbugs.gnu.org; Sun, 17 Nov 2019 03:37:56 -0500
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1iWG42-0004yb-Jp; Sun, 17 Nov 2019 09:37:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Carlos Pita <carlosjosepita@HIDDEN>
Subject: Re: bug#32210: Support medium weighted fonts
References: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
Date: Sun, 17 Nov 2019 09:37:45 +0100
In-Reply-To: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
 (Carlos Pita's message of "Thu, 19 Jul 2018 11:06:22 -0300")
Message-ID: <87v9riaofa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Carlos Pita <carlosjosepita@HIDDEN> writes: > Many
 programming
 fonts are designed for hidpi devices and look pretty > bad (too thin and
 "diffused") in their default weight in antialiased > settings with standard
 resolution screen. > > Neverthel [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32210
Cc: 32210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Carlos Pita <carlosjosepita@HIDDEN> writes:

> Many programming fonts are designed for hidpi devices and look pretty
> bad (too thin and "diffused") in their default weight in antialiased
> settings with standard resolution screen.
>
> Nevertheless a number of fontsets provide medium and/or demibold variants in
> between the regular one and the bold one. For example, the medium
> SauceCodePro (based on SourceCodePro) looks much solid than the regular
> variant.
>
> Now, the problem is that, no matter how emacs font is configured
> (xresources with xft or gtk descriptor, customize-face, the standard
> gtk dialog launched from the menu) medium is taken as an alias for
> normal/regular and you have to jump from regular to demibold.

I think this is the culprit:

static const struct table_entry weight_table[] =
{
  { 0, { "thin" }},
  { 20, { "ultra-light", "ultralight" }},
  { 40, { "extra-light", "extralight" }},
  { 50, { "light" }},
  { 75, { "semi-light", "semilight", "demilight", "book" }},
  { 100, { "normal", "medium", "regular", "unspecified" }},
  { 180, { "semi-bold", "semibold", "demibold", "demi" }},
  { 200, { "bold" }},
  { 205, { "extra-bold", "extrabold" }},
  { 210, { "ultra-bold", "ultrabold", "black" }}
};

We define "medium" the same as "regular", but there are many fonts that
have both "regular" and "medium" variants, if I understand things
correctly.  Googling around a bit, it seems that most pages that
describe these things put "medium" at the halfway point between
"regular" and "demibold", which would mean a value of 140 for Emacs.

For instance:

https://www.quora.com/What-is-the-difference-between-Medium-Demi-and-Semibold-fonts
https://cssreference.io/property/font-weight/

Those are from a web/TrueType perspective, though.

Anybody have any thoughts on this issue?  The medium/regular
non-distinction in Emacs seems to crop up here and there, so it's a
problem in practice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.
Forcibly Merged 28351 32210. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jul 2018 14:06:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 19 10:06:52 2018
Received: from localhost ([127.0.0.1]:48366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fg9a0-0005jI-2K
	for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 10:06:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fg9Zy-0005j6-EA
 for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 10:06:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fg9Zp-0003zJ-B3
 for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 10:06:45 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54194)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <carlosjosepita@HIDDEN>)
 id 1fg9Zp-0003zB-7g
 for submit <at> debbugs.gnu.org; Thu, 19 Jul 2018 10:06:41 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38709)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fg9Zn-0001hj-SB
 for bug-gnu-emacs@HIDDEN; Thu, 19 Jul 2018 10:06:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <carlosjosepita@HIDDEN>) id 1fg9Zj-0003wy-Or
 for bug-gnu-emacs@HIDDEN; Thu, 19 Jul 2018 10:06:39 -0400
Received: from mail-yw0-x235.google.com ([2607:f8b0:4002:c05::235]:44332)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <carlosjosepita@HIDDEN>)
 id 1fg9Zj-0003wW-II
 for bug-gnu-emacs@HIDDEN; Thu, 19 Jul 2018 10:06:35 -0400
Received: by mail-yw0-x235.google.com with SMTP id k18-v6so3093191ywm.11
 for <bug-gnu-emacs@HIDDEN>; Thu, 19 Jul 2018 07:06:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=bEUSTXc3zCzpLsq1Ku9YiCHWr5o5Wu104SNXWcpUEeM=;
 b=TTzUe6ZkkffcCu1fKwiHVak5cxkV83ddZpjNiKeZJ2QiUx8RqNBysKv9uZSPmta+gb
 HdAPFU+hHpXcfnKgdo1zHtn7NxSik7bB6yi2Kkd/SGVOxxhn2bOjUU1NCc/MIIECOAyh
 kYjT1u7Cn953Nbu8JYVdznMMW99j1ChDIK2igoM7l0WmRx9mEhuGpggnIZjnWjRVHy1S
 rZ/UXP/WcWuQb3OFQb7arjdVFDsslL3ehAD7faHYNRygZvFmCIBtyxETo3MDCHdS3+5/
 mmjJuBqNWla0/vYyV9k+I2gjWdeLEpJaT3brUOwvssTOz5P8UW62S4dlqk9i5MXNuf6H
 0+fA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=bEUSTXc3zCzpLsq1Ku9YiCHWr5o5Wu104SNXWcpUEeM=;
 b=A6X/TJJwa3lhovFpwmJ3lLxjWIqnilPWwRMC1Z97Jealc2nhP5Y4WTiDEE3KCKTjN4
 0fSHJ7jSkAz5sp1aOpVmS/O0hjfn3iZoDhQXP28IFfIaOx0SY5+Dey0gU9GqcUGkm7lH
 vAJP2z+V8OqV7LnDgEjR9svfKUc6+gCJDBWdO/TbB4you0gEvpmseoWN5Dzyiki2c44m
 6a5GDli9rpSZO7mAXsd2nwVqPhyLBTU2fDfIFnN8MC0BA0voTHDS3EzBl6AU/h0PCoKl
 uHe35OCgfJBBJTHFsceRL9GcnzAFDANjRY3vTIWmt0vNqFeOXDr0ws+GYBsS11x+iW6O
 T+cQ==
X-Gm-Message-State: AOUpUlFVXXKYyorOGmKvdD7U9p1sHORcYImrPteRI81zS39+anvQUpBd
 F/9WLLAC3seo8SRfnli6nRDSvjictAYEydIkHuEsuDlZ
X-Google-Smtp-Source: AAOMgpehRwg+6FiAKoc3v7KxUar16Tbur9V38RDcCgyPgAKQE1AKmAhrAl8BzSljJ4sN9Els+WgBD7uiIC8RjubG01I=
X-Received: by 2002:a81:9b8b:: with SMTP id
 s133-v6mr5076282ywg.90.1532009194139; 
 Thu, 19 Jul 2018 07:06:34 -0700 (PDT)
MIME-Version: 1.0
From: Carlos Pita <carlosjosepita@HIDDEN>
Date: Thu, 19 Jul 2018 11:06:22 -0300
Message-ID: <CAELgYhd_JQ38xOkPCB8wPjukEStvMXnpttKjV2PUz-mEqhXdBw@HIDDEN>
Subject: Support medium weighted fonts
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000cf336905715aaf3a"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

--000000000000cf336905715aaf3a
Content-Type: text/plain; charset="UTF-8"

(I'm unable to access my emacs now so sorry for reporting this from my
phone. Ask for any additional details and I will provide them ASAP.)

Many programming fonts are designed for hidpi devices and look pretty bad
(too thin and "diffused") in their default weight in antialiased settings
with standard resolution screen.

Nevertheless a number of fontsets provide medium and/or demibold variants
in between the regular one and the bold one. For example, the medium
SauceCodePro (based on SourceCodePro) looks much solid than the regular
variant.

Now, the problem is that, no matter how emacs font is configured
(xresources with xft or gtk descriptor, customize-face, the standard gtk
dialog launched from the menu) medium is taken as an alias for
normal/regular and you have to jump from regular to demibold.

One good example is the aforementioned font. In xfce4-terminal I get all
regular, medium and demibold variants. Medium is a nice default weight,
demibold being too close to bold for regular usage. In emacs I get only the
too thin regular weight (using regular or medium weights) or the too fat
demibold (using demi/semibold).

I think this is a relevant issue since emacs is mostly a programmer's tool
and being unable to use the best font in a set designed for programming is
not just a minor annoyance.

One general solution would be to allow numerical values for weight, but
nevertheless the medium symbol should be assigned the right meaning.

--000000000000cf336905715aaf3a
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">(I&#39;m unable to access my emacs now so sorry for repor=
ting this from my phone. Ask for any additional details and I will provide =
them ASAP.)<div dir=3D"auto"><br></div><div dir=3D"auto">Many programming f=
onts are designed for hidpi devices and look pretty bad (too thin and &quot=
;diffused&quot;) in their default weight in antialiased settings with stand=
ard resolution screen.</div><div dir=3D"auto"><br></div><div dir=3D"auto">N=
evertheless a number of fontsets provide medium and/or demibold variants in=
 between the regular one and the bold one. For example, the medium SauceCod=
ePro (based on SourceCodePro) looks much solid than the regular variant.</d=
iv><div dir=3D"auto"><br></div><div dir=3D"auto">Now, the problem is that, =
no matter how emacs font is configured (xresources with xft or gtk descript=
or, customize-face, the standard gtk dialog launched from the menu) medium =
is taken as an alias for normal/regular and you have to jump from regular t=
o demibold.</div><div dir=3D"auto"><br></div><div dir=3D"auto">One good exa=
mple is the aforementioned font. In xfce4-terminal I get all regular, mediu=
m and demibold variants. Medium is a nice default weight, demibold being to=
o close to bold for regular usage. In emacs I get only the too thin regular=
 weight (using regular or medium weights) or the too fat demibold (using de=
mi/semibold).</div><div dir=3D"auto"><br></div><div dir=3D"auto">I think th=
is is a relevant issue since emacs is mostly a programmer&#39;s tool and be=
ing unable to use the best font in a set designed for programming is not ju=
st a minor annoyance.</div><div dir=3D"auto"><br></div><div dir=3D"auto">On=
e general solution would be to allow numerical values for weight, but never=
theless the medium symbol should be assigned the right meaning.<br><div dir=
=3D"auto"><br></div><div dir=3D"auto"><br></div></div></div>

--000000000000cf336905715aaf3a--




Acknowledgement sent to Carlos Pita <carlosjosepita@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#32210; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 13 Oct 2021 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.